<?php 
session_start();
include_once '../config.php';
$user_id = $_SESSION['Admin']['id'];
$CurrDate = date('dmY');

if($_REQUEST['action'] == 'Save'){
$Name = addslashes(trim($_REQUEST['Name']));
$ShortKey = addslashes(trim($_REQUEST['ShortKey']));
$ShortKeyFor = $_POST['ShortKeyFor'];
$CreatedDate = date('Y-m-d');
$Status = 1;
$ModifiedBy = 0;
$ModifiedDate = null;
$sql = "SELECT * FROM tbl_drugs WHERE ShortKey='$ShortKey'";
$rncnt = getRow($sql);
if($rncnt > 0){
	echo json_encode(array('Status'=>0));
}
else{
/*	$sql = "INSERT INTO tbl_drugs SET Name='$Name',Amount='$Amount',CreatedBy='$user_id',CreatedDate='$CreatedDate'";
	$conn->query($sql);
	echo 1;*/

  try {
   $sql = "INSERT INTO tbl_drugs (Name,ShortKey,ShortKeyFor) VALUES (:Name,:ShortKey,:ShortKeyFor)";
$stmt = $conn->prepare($sql);
$stmt->bindParam(':Name', $Name);
$stmt->bindParam(':ShortKey', $ShortKey);
$stmt->bindParam(':ShortKeyFor', $ShortKeyFor);
if ($stmt->execute()) {
  echo json_encode(array('Status'=>1,'Name'=>$Name,'ShortKey'=>$ShortKey,'action'=>'Save'));
}
}
catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}

}
}

if($_POST['action'] == 'fetch_record'){
 $id = $_POST['id'];
    $query = "SELECT * FROM tbl_drugs WHERE id = '$id'";
   $row = getRecord($query);
    echo json_encode($row);


}

if($_POST['action'] == 'Edit') {
     $id = $_POST['id'];
$Name = addslashes(trim($_REQUEST['Name']));
$ShortKey = addslashes(trim($_REQUEST['ShortKey']));
$ShortKeyFor = $_POST['ShortKeyFor'];
$ModifiedDate = date('Y-m-d');
$query = "SELECT * FROM tbl_drugs WHERE ShortKey='$ShortKey' AND id != '$id'";
$row_cnt = getRow($query);
if($row_cnt > 0){
  echo json_encode(array('Status'=>0));
}
else{
  try{
  $query2 = "UPDATE tbl_drugs SET Name='$Name',ShortKey='$ShortKey',ShortKeyFor='$ShortKeyFor' WHERE id = '$id'";
 	$conn->query($query2);
  echo json_encode(array('Status'=>1,'Name'=>$Name,'ShortKey'=>$ShortKey,'action'=>'Edit'));
  }
catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}
}
}

  if($_POST['action'] == 'delete') {
   
      $id = $_POST['id'];
      $query = "DELETE FROM tbl_drugs WHERE id = '$id'";
      $conn->query($query);
      echo "Delete Successfully";

  }

 if($_POST['action']=='view'){?>
<table id="example" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
        <thead>
            <tr>
             <th>Sr.No</th>
             <th>Drug Name</th>
             <th>Short Key</th>
             <th>Action</th>
            </tr>
        </thead>
        <tbody>
          <?php 
 $srno = 1;
  $sql = "SELECT * FROM tbl_drugs ORDER BY id DESC";
 $rx = getList($sql);
  foreach($rx as $nx){

  ?>
           <tr>
             <td><?php echo $srno; ?></td>
           
              <td id="Name<?php echo $nx['id']; ?>"><?php echo $nx['Name']; ?></td>
               <td id="Key<?php echo $nx['id']; ?>"><?php echo $nx['ShortKey']; ?></td>
        
           
             <td><a data-id="<?php echo $nx['id']; ?>" href='javascript:void(0);' data-toggle="tooltip" data-placement="top" title="Edit" data-original-title="Edit" class="update"><i class="lnr lnr-pencil mr-2"></i></a>&nbsp;&nbsp;<a data-id="<?php echo $nx['id']; ?>" href='javascript:void(0);' data-toggle="tooltip" data-placement="top" title="Delete" data-original-title="Delete" class="delete" id="bootbox-confirm"><i class="lnr lnr-trash text-danger"></i></a>
             </td>
            </tr>
             <?php $srno++;} ?>
        </tbody>
    </table>
    <script type="text/javascript">
      $(document).ready(function() {
      $('#example').DataTable( {
        responsive: true
      });
      });
    </script>
 <?php }
?>